org.apache.solr.client.solrj.cloud.autoscaling

## Class Row

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.Row

All Implemented Interfaces:
  MapSerializable, MapWriter

    public class Row
    extends Object
    implements MapWriter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

Fields
`Map<String,Map<String,List<Policy.ReplicaInfo>>>` `collectionVsShardVsReplicas`
`String` `node`

### Constructor Summary

Constructors
Constructor and Description
`Row(String node, Cell[] cells, boolean anyValueMissing, Map<String,Map<String,List<Policy.ReplicaInfo>>> collectionVsShardVsReplicas, List<Clause> violations)`
`Row(String node, List<String> params, ClusterDataProvider dataProvider)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Row` `addReplica(String coll, String shard)`
`Cell[]` `getCells()`
`Pair<Row,Policy.ReplicaInfo>` `removeReplica(String coll, String shard)`
`String` `toString()`
`void` `writeMap(MapWriter.EntryWriter ew)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`toMap`

### Field Detail

#### node

    public final String node

#### collectionVsShardVsReplicas

    public Map<String,Map<String,List<Policy.ReplicaInfo>>> collectionVsShardVsReplicas

### Constructor Detail

#### Row

    public Row(String node,
               List<String> params,
               ClusterDataProvider dataProvider)

#### Row

    public Row(String node,
               Cell[] cells,
               boolean anyValueMissing,
               Map<String,Map<String,List<Policy.ReplicaInfo>>> collectionVsShardVsReplicas,
               List<Clause> violations)

### Method Detail

#### writeMap

    public void writeMap(MapWriter.EntryWriter ew)
                  throws IOException

Specified by:
  `writeMap` in interface `MapWriter`
Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### addReplica

    public Row addReplica(String coll,
                          String shard)

#### removeReplica

    public Pair<Row,Policy.ReplicaInfo> removeReplica(String coll,
                                                      String shard)

#### getCells

    public Cell[] getCells()